Bug 14372 - Missed Requires on jabber-common
: Missed Requires on jabber-common
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/jabber-j2j)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2008-02-09 15:57 by
Modified: 2008-02-26 02:00 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2008-02-09 15:57:16
jabber-j2j-1.1.8-alt2 использует в %post скрипт %_jabber_config из пакета 
jabber-common, однако зависимость от данного пакета не проставлена.
Требуется добавить в jabber-j2j.spec:

Requires(pre): jabber-common

Steps to Reproduce:
На чистой системе, без jabber-common:

apt-get install jabber-j2j
Actual Results:  
25: jabber-j2j                                                                  
################################################################################################### 
[ 92%]
/root/tmp/rpm-tmp.89503: line 3: /usr/sbin/jabber-config: No such file or 
directory
error: execution of %post scriptlet from jabber-j2j-1.1.8-alt2 failed, exit 
status 127
E: Some errors occurred while running transaction
------- Comment #1 From 2008-02-09 16:53:53 -------
Requires(post) точнее
------- Comment #2 From 2008-02-09 17:14:52 -------
fixed in 1.1.8-alt3